<?php
defined('_JEXEC') or die('Restricted access');

$objects = (isset($objects) && count($objects)) ? $objects : array();
$cols_num = ((int)$cols_num >= 1) ? (int)$cols_num : 1;
$cols_order = ((int)$cols_order >= 1) ? (int)$cols_order : 0;

if (!isset($partial_layout)) {
	JError::raiseError( 500, '$partial_layout is not set');
}

// init vars
$i       = 0;
$columns = array();
$column  = 0;
$row     = 0;
$rows    = ceil(count($objects) / $cols_num);

if (count($objects) > 0 ) {
	foreach($objects as $object) {

		if ($cols_order) {
			// order down
			if ($row >= $rows) {
				$column++;
				$row  = 0;
				$rows = ceil((count($objects) - $i) / ($cols_num - $column));
			}
			$row++;
			$i++;
		} else {
			// order across
			$column = $i++ % $cols_num;
		}

		if (!isset($columns[$column])) {
			$columns[$column] = '';
		}

		$$partial_layout = $object;
		$columns[$column] .= $this->partial($partial_layout, compact($partial_layout, 'is_subcategory'));
	}
	echo $this->partial($partial_layout.'_columns', compact('columns', 'is_subcategory'));
}

// render columns

unset($partial_layout);
